# PetscViewerSiloCheckMesh

This routine checks a Silo viewer to determine whether the mesh has already been put in the .silo file. It also checks for type, and at the moment accepts only UCD_MESH meshes.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerSiloCheckMesh(PetscViewer viewer, Mesh mesh)

Not collective

### Input Parameters

| mesh | - The mesh that should be in place
| viewer | - The viewer that should contain the mesh
| fp | - The pointer to the DBFile that should contain the mesh

### Keywords

viewer, Silo, mesh

### See Also

PetscViewerSiloOpen()

Level:intermediate
Location: src/sys/viewer/impls/silo/vsilo.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages